<?php 

$images = get_field('block_slider_images');
$banner_text = get_field('block_hero_banner_text');
$button = get_field('block_hero_banner_button');
$height = get_field('block_hero_banner_height'); 

if(have_rows('slider_slides')) { ?>

	<script type="module">
		import Swiper from 'https://cdn.jsdelivr.net/npm/swiper@8/swiper-bundle.esm.browser.min.js';

		const swiper = new Swiper('.swiper', {
			// Optional parameters
			// direction: 'vertical',
			speed: 1000,
			// loop: true,
			rewind: true,
			// watchOverflow: true,

			// If we need pagination
			pagination: {
				el: '.swiper-pagination',
				clickable: true,
				renderBullet: function (index, className) {
					return '<span class="' + className + '"></span>';
				},
			},

			// Navigation arrows
			navigation: {
				nextEl: '.swiper-button-next',
				prevEl: '.swiper-button-prev',
			},

			// And if we need scrollbar
			// scrollbar: {
			// 	el: '.swiper-scrollbar',
			// },
		});
	</script>

	<section class="slider block">
		
	<!-- Slider main container -->
		<div class="swiper">

			<!-- Additional required wrapper -->
			<div class="swiper-wrapper">
			<?php while(have_rows('slider_slides')) {
				the_row();

				if(get_row_layout() == 'custom_slide') {
					$slide_img = get_sub_field('slide_image');
					$overlay = get_sub_field('slide_background_overlay') / 100;
					$title = get_sub_field('slide_title');
					$text = get_sub_field('slide_text');
					$button = get_sub_field('slide_button');
					$button_url = $button['block_button']['url'] ?? null; ?>

					<!-- Slides -->
					<div class="swiper-slide">
						<img src="<?php echo $slide_img['url']; ?>" alt="<?php echo $slide_img['alt']; ?>" class="background-img" />
						<div class="background-overlay" style="opacity: <?php echo $overlay ;?>"></div>
						<div class="container-wrap">
							<div class="container">
								<span class="title"><?php echo $title; ?></span>
								<div class="text"><?php echo $text; ?></div>

								<?php if($button_url) {
									
									$button_title = $button['block_button']['title'];
									$button_target = $button['block_button']['target'] ? $button['block_button']['target'] : '_self';
									$button_colour = get_sub_field('button_colour');

										get_template_part('template-parts/components/button', '', array(
											'url'           => $button_url,
											'title'         => $button_title,   
											'target'        => $button_target,
											'colour'        => $button_colour,
										));
									
								} ?>

							</div>
						</div>
					</div>

				<?php } 

				if(get_row_layout() == 'news_slide') {
					$slide_post_id = get_sub_field('slide_post_content');
					$overlay = get_sub_field('slide_background_overlay') / 100;
					if($slide_post_id) {
						
						$slide_img = get_the_post_thumbnail_url($slide_post_id);
						$title = get_the_title($slide_post_id);
						$text = get_the_excerpt($slide_post_id); ?>

						<!-- Slides -->
						<div class="swiper-slide">
							<img src="<?php echo $slide_img; ?>" alt="<?php //echo $slide_img['alt']; ?>" class="background-img" />
							<div class="background-overlay" style="opacity: <?php echo $overlay ;?>"></div>
							<div class="container-wrap">
								<div class="container">
									<span class="title"><?php echo $title; ?></span>
									<div class="text"><?php echo $text; ?></div>

									<?php $button_url = get_the_permalink($slide_post_id);
									get_template_part('template-parts/components/button', '', array(
										'url'           => $button_url,
										'title'         => 'Read more',   
										'target'        => '_self',
										'colour'        => 'red',
									)); ?>

								</div>
							</div>
						</div>

					<?php }
				}

				if(get_row_layout() == 'event_slide') {
					$slide_event_id = get_sub_field('slide_event_content');
					$overlay = get_sub_field('slide_background_overlay') / 100;
					if($slide_event_id) {
						
						$slide_img = get_field('slider_image', $slide_event_id) ?? get_field('featured_image', $slide_event_id);
						$image_override = get_field('override_slider_image', $slide_event_id);
						if($image_override) {
							$slide_img = $image_override['url'];
						}
						$title = get_the_title($slide_event_id);
						$text = get_the_excerpt($slide_event_id); ?>

						<!-- Slides -->
						<div class="swiper-slide">
							<img src="<?php echo $slide_img; ?>" alt="<?php //echo $slide_img['alt']; ?>" class="background-img" />
							<div class="background-overlay" style="opacity: <?php echo $overlay ;?>"></div>
							<div class="container-wrap">
								<div class="container">

									<span class="title"><?php echo $title; ?></span>
									<div class="text"><?php echo $text; ?></div>

									<?php $button_url = get_the_permalink($slide_event_id);
									get_template_part('template-parts/components/button', '', array(
										'url'           => $button_url,
										'title'         => 'See more',   
										'target'        => '_self',
										'colour'        => 'red',
									)); ?>
								</div>
							</div>
						</div>

					<?php }
				}
			
			} ?>
			</div>
		

			<!-- If we need pagination -->
			<div class="swiper-pagination"></div>

			<!-- If we need navigation buttons -->
			<div class="swiper-button-prev"></div>
			<div class="swiper-button-next"></div>

			<!-- If we need scrollbar -->
			<!-- <div class="swiper-scrollbar"></div> -->

		</div>
		
	</section>

<?php } ?>