<?php get_header();

$post_id = $post->ID;
$fields = get_fields($post_id);

// print_r($fields);

$eventbrite_event_id = $fields['eb_event_id'];
$title = $post->post_title;
$description = isset($fields['full_description']) ? $fields['full_description'] : null;
$start_date = $fields['start_datetime'];
$end_date = $fields['end_datetime'];
$soldout = $fields['sold_out'];
$is_event_series = $fields['is_event_series'];
$series_dates = isset($fields['event_series_dates']) ? $fields['event_series_dates'] : null;
$venue_name = $fields['event_venue']['venue_name'];
$location = $fields['event_venue']['venue_location'];
$featured_image = isset($fields['featured_image']) ? $fields['featured_image'] : null; ?>




<main class="event">

	<section class="event-main container-wrap">
		<div class="container">

		    <div class="featured-image">
				<?php if($featured_image) { ?>
					<img class="featured" src="<?php echo $featured_image; ?>" alt="<?php echo $title; ?>" />
				<?php } ?>
			</div>

			<div class="header">
				<h1><?php echo $title; ?></h1>

                <div class="booking">
                    <?php if($soldout == true) { ?>
                        <p class="soldout-notify">This event has sold out.</p>
                    <?php } else if($fields['event_object_type'] == 'eventbrite') { ?>
                        <noscript><a href="https://www.eventbrite.co.uk/e/final-test-event-tickets-<?php echo $eventbrite_event_id; ?>" rel="noopener noreferrer" target="_blank">Buy Tickets on Eventbrite</a></noscript>
                        <button id="eventbrite-widget-modal-trigger-<?php echo $eventbrite_event_id; ?>" class="btn event-book" type="button">Book now</button>
                    <?php } else if($fields['event_object_type'] == 'custom') { 
                        if($fields['custom_booking_url']) { ?>
                            <a href="<?php echo $fields['custom_booking_url']; ?>" target="_blank" class="btn event-book" type="button">Book now</a>
                        <?php }
                    } ?>
                </div>

            </div>

            <?php 
            $dates_array = array();
            $today = strtotime(date('Y/m/d'));
            $next_date = null;
    
            if($series_dates) {
                foreach($series_dates as $date) {

                    $sdate = strtotime($date['event_series_start_datetime']);
                    if($sdate > $today) {
                        $single_date = array(
                            'start' => $date['event_series_start_datetime'],
                            'end'	=> $date['event_series_end_datetime'],
                        );
                        array_push($dates_array, $single_date);
                    }
                } 
                sort($dates_array);
                $next_date = date("D jS M", strtotime($dates_array[0]['start'])) . ' | ' . date("g:i a", strtotime($dates_array[0]['start'])) . ' - ' . date("g:i a", strtotime($dates_array[0]['end'])); ?>

            <?php } else if($start_date) {
                $next_date = date("D, jS M Y, g:ia", strtotime($start_date));
            } ?>

            <div class="overview">
                <?php if($venue_name) { ?>
                    <p class="venue"><strong>Venue:</strong> <?php echo $venue_name; ?></p>
                <?php }
                if($next_date) { ?>
                    <p><strong>Next Date:</strong> <?php echo $next_date; ?></p>
                <?php } ?>



            </div>

            <div class="tabs">
                <div class="tabs__header">
                    <?php if($is_event_series == true) { ?>
                        <button class="tablinks" onclick="openTab(event, 'Description')">Description</button>
                        <button class="tablinks" onclick="openTab(event, 'Dates')">Dates</button>
                    <?php } else { ?>
                        <span class="tab_title">Description</span>
                    <?php } ?>
                </div>
                <div class="tabcontent" id="description">

                    <?php if($description) {
                        echo $description;
                    } ?>

                </div>
                <?php if($is_event_series == true) { ?>
                <div class="tabcontent" id="dates">

                    <div class="event-dates">
                    <?php foreach($dates_array as $d) { ?>
                        <span class="date">
                            <span class="day"><?php echo date("D jS M", strtotime($d['start'])); ?></span>
                            <span class="time"><?php echo date("g:i a", strtotime($d['start'])); ?> - <?php echo date("g:i a", strtotime($d['end'])); ?></span>    
                        </span>
                    <?php } ?>
                    </div>

                </div>
                <?php } ?>
            </div>

		</div>
	</section>

    <script>
        function openTab(evt, tabName) {
            // Declare all variables
            var i, tabcontent, tablinks;

            // Get all elements with class="tabcontent" and hide them
            tabcontent = document.getElementsByClassName("tabcontent");
            for (i = 0; i < tabcontent.length; i++) {
                tabcontent[i].style.display = "none";
            }

            // Get all elements with class="tablinks" and remove the class "active"
            tablinks = document.getElementsByClassName("tablinks");
            for (i = 0; i < tablinks.length; i++) {
                tablinks[i].className = tablinks[i].className.replace(" active", "");
            }

            // Show the current tab, and add an "active" class to the button that opened the tab
            document.getElementById(tabName).style.display = "block";
            evt.currentTarget.className += " active";
        }
    </script>

	<!-- <section class="venue container-wrap">
		<div class="container">

            <?php if($location){ ?>
                <div class="map">
                    <?php get_template_part('template-parts/components/map', '', array(
                        'location'		=> $location,
                        'zoom'			=> 12,
                        'fullscreen'	=> true,
                        'init'			=> false,
                    )); ?>
                </div>
            <?php } ?>

		</div>
	</section> -->

	<!-- <section class="related-events container-wrap">
		<div class="container">

		<h3 class="section-title">See what else is on...</h3>
				
		<?php // related posts
		$q_object = get_queried_object();
		echo get_template_part('template-parts/components/related-posts', null, array(
			'queried_object'     => $q_object,
		)); ?>

		</div>
	</section> -->

</main>


<script>
	jQuery(document).ready(function($) {

		$('.info-header').on('click', function() {

			$(this).parent('.info').toggleClass('active');

		});
		
		$('.info-header').one('click', function() {

			if($(this).parent('.info').hasClass("venue")) {
				$('.acf-map').each(function(){
					var map = initMap( $(this) );
				});
			}

		});
	});
</script>


<script src="https://www.eventbrite.com/static/widgets/eb_widgets.js"></script>
<script type="text/javascript">
    var exampleCallback = function() {
        console.log('Order complete!');
    };

    window.EBWidgets.createWidget({
        widgetType: 'checkout',
        eventId: <?php echo $eventbrite_event_id; ?>,
        modal: true,
        modalTriggerElementId: 'eventbrite-widget-modal-trigger-' + '<?php echo $eventbrite_event_id; ?>',
        onOrderComplete: exampleCallback
    });
</script>

<?php get_footer();
